petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMDASetNumProcs

Sets the number of processes in each dimension

### Synopsis

    #include "petscdmda.h"
    PetscErrorCode  DMDASetNumProcs(DM da, PetscInt m, PetscInt n, PetscInt p)

Logically Collective on DMDA

### Input Parameters

| da | - the DMDA
| m | - the number of X procs (or PETSC_DECIDE)
| n | - the number of Y procs (or PETSC_DECIDE)
| p | - the number of Z procs (or PETSC_DECIDE)

### See Also

DMDASetSizes(), DMDAGetSize(), PetscSplitOwnership()

### Level

intermediate

### Location

src/dm/impls/da/da.c
Index of all DMDA routines
Table of Contents for all manual pages
Index of all manual pages